/*
   Handles the library structure

   Not implemented:
      Library.lib_Node
      Library.lib_Flags
*/

#include "header/sb.h"

extern int level;

PrLibrary (string, library)
char *string;
struct Library *library;
{
static struct StructData structdata [] = {
   {"(lib_Node",     "struct Node)",    PRNULL,    SZ(Node)   },
   {"(lib_Flags",    "UBYTE)",          PRUBYTE,   BYTESIZE   },
   {"-lib_pad",      "UBYTE",           PRUBYTE,   BYTESIZE   },
   {"-lib_NegSize",  "UWORD",           PRUINT,    INTSIZE    },
   {"-lib_PosSize",  "UWORD",           PRUINT,    INTSIZE    },
   {"-lib_Version",  "UWORD",           PRUINT,    INTSIZE    },
   {"-lib_Revision", "UWORD",           PRUINT,    INTSIZE    },
   {"-lib_IdString", "APTR",            PRSTRING,  PTRSIZE    },
   {"-lib_Sum",      "ULONG",           PRULONG,   PTRSIZE    },
   {"-lib_OpenCnt",  "UWORD",           PRUINT,    INTSIZE    }
};

int i, sum;
int choice = -1;

   level++;

   while (choice)
   {
      sum = SetOptionText(string, structdata, (APTR)library, DATASIZE, 0);
      switch (choice = GetChoice(DATASIZE))
      {
         break;
      }
   }
   level--;
}
